package cn.net.caoyao.cpzshandset.common.util;

import android.content.Context;
import android.content.SharedPreferences;

public class CachePut {
	public void putCacheInterG(Context context, String spName, String key, int value) {
		putCache(context, spName, key, value);
	}

	public void putCacheStringG(Context context, String spName, String key, String value) {
		putCache(context, spName, key, value);
	}

	public void putCacheBooleanG(Context context, String spName, String key, Boolean value) {
		putCache(context, spName, key, value);
	}

	public void putCacheLongG(Context context, String spName, String key, long value) {
		putCache(context, spName, key, value);
	}

	// 缓存中存入对应的String类型的数据
	private void putCache(Context context, String spName, String key, String value) {
		SharedPreferences sp = context.getSharedPreferences(spName, Context.MODE_PRIVATE);
		sp.edit().putString(key, value).commit();

	}

	// 缓存中存入对应的int类型的数据
	private void putCache(Context context, String spName, String key, int value) {
		SharedPreferences sp = context.getSharedPreferences(spName, Context.MODE_PRIVATE);
		sp.edit().putInt(key, value).commit();

	}

	// 缓存中存入对应的Boolean类型的数据
	private void putCache(Context context, String spName, String key, Boolean value) {
		SharedPreferences sp = context.getSharedPreferences(spName, Context.MODE_PRIVATE);
		sp.edit().putBoolean(key, value).commit();

	}

	// 缓存中存入对应的long类型的数据
	private void putCache(Context context, String spName, String key, long value) {
		SharedPreferences sp = context.getSharedPreferences(spName, Context.MODE_PRIVATE);
		sp.edit().putLong(key, value).commit();

	}
}
